%define _name eog
%define ver_major 2.30

Name: %_name-plugins
Version: %ver_major.1
Release: alt2

Summary: EOG plugins
License: %gpl2plus
Group: Graphics
Url: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

PreReq: GConf2 scrollkeeper
Requires: eog >= %ver_major

BuildPreReq: rpm-build-licenses rpm-build-gnome
BuildPreReq: eog-devel >= %ver_major
BuildRequires: libGConf-devel eog-devel intltool libchamplain-gtk-devel libexif-devel
BuildRequires: python-module-pygtk-devel python-module-pygnome-devel
# for picasa plugin
BuildPreReq: libgdata-devel >= 0.6.0

%description
This package provides plugins for the Eye of GNOME, an image viewer program.

%package -n %_name-plugins-postr
Summary: Flickr uploader for EOG
Group: Graphics
Requires: %name = %version-%release
Requires: postr

%description -n %_name-plugins-postr
This package provides Eog plugin for upload pictures to Flickr.

%package -n %_name-plugins-postasa
Summary: Picasa uploader for EOG
Group: Graphics
Requires: %name = %version-%release

%description -n %_name-plugins-postasa
This package provides Eog plugin for upload pictures to Picasa web albums.

%prep
%setup -q

%build
export ac_cv_path_POSTR=%_bindir/postr
%configure \
    --enable-python \
    --disable-schemas-install

%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%files -f %name.lang
%_libdir/%_name/plugins/*
%exclude %_libdir/%_name/plugins/postasa
%exclude %_libdir/%_name/plugins/libpostasa.so
%exclude %_libdir/%_name/plugins/libpostr.so
%doc AUTHORS NEWS README

%files -n %_name-plugins-postr
%_libdir/%_name/plugins/libpostr.so

%files -n %_name-plugins-postasa
%_libdir/%_name/plugins/postasa
%_libdir/%_name/plugins/libpostasa.so

%exclude %_libdir/%_name/plugins/*.la

%changelog
* Mon Oct 11 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt2
- rebuild against libchamplain-0.8

* Tue Jun 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Tue Mar 30 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Thu Feb 25 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Mon Feb 15 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt2
- postr and postasa plugins moved to separate subpackages

* Wed Feb 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Tue Jan 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.28.1-alt1.1
- Rebuilt with python 2.6

* Tue Oct 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Fri Sep 25 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- first build for Sisyphus

